package org.example;

import java.util.Comparator;

public class PracownikAlternativeComparator implements Comparator<Pracownik> {
    @Override
    public int compare(Pracownik a, Pracownik b) {
        // Alternatywny porządek
        int byStanowisko = a.getStanowisko().compareTo(b.getStanowisko());
        if (byStanowisko != 0) return byStanowisko;

        int byLataPracy = Integer.compare(a.getLataPracy(), b.getLataPracy());
        if (byLataPracy != 0) return byLataPracy;

        int bySurname = a.getNazwisko().compareTo(b.getNazwisko());
        if (bySurname != 0) return bySurname;

        int byName = a.getImie().compareTo(b.getImie());
        if (byName != 0) return byName;

        return Double.compare(a.getPensja(), b.getPensja());
    }
}